import { FlatConfig } from '@typescript-eslint/utils/ts-eslint';
export declare const rules: {
    'enforce-column-types': import("@typescript-eslint/utils/ts-eslint").RuleModule<"typescript_typeorm_column_mismatch" | "typescript_typeorm_column_mismatch_weird" | "typescript_typeorm_column_suggestion", [{
        driver?: "postgres" | "mysql" | "sqlite";
    }], unknown, import("@typescript-eslint/utils/ts-eslint").RuleListener>;
    'enforce-consistent-nullability': import("@typescript-eslint/utils/ts-eslint").RuleModule<"typescript_typeorm_missing_nullability" | "typescript_typeorm_superfluous_nullability" | "typescript_typeorm_set_nullable" | "typescript_typeorm_remove_nullable", [{
        specifyNullable: "always" | "non-default";
    }], unknown, import("@typescript-eslint/utils/ts-eslint").RuleListener>;
    'enforce-relation-types': import("@typescript-eslint/utils/ts-eslint").RuleModule<"typescript_typeorm_relation_missing" | "typescript_typeorm_relation_mismatch" | "typescript_typeorm_relation_array_to_many" | "typescript_typeorm_relation_suggestion" | "typescript_typeorm_relation_nullable_by_default" | "typescript_typeorm_relation_nullable_by_default_suggestion" | "typescript_typeorm_relation_specify_relation_always", [{
        specifyRelation?: "always";
    }], unknown, import("@typescript-eslint/utils/ts-eslint").RuleListener>;
};
export declare const plugin: FlatConfig.Plugin;
export default plugin;
