import { ESLintUtils } from '@typescript-eslint/utils';
type EnforceColumnMessages = 'typescript_typeorm_column_mismatch' | 'typescript_typeorm_column_mismatch_weird' | 'typescript_typeorm_column_suggestion';
type EnforceColumnOptions = [
    {
        driver?: 'postgres' | 'mysql' | 'sqlite';
    }
];
declare const enforceColumnTypes: ESLintUtils.RuleModule<EnforceColumnMessages, EnforceColumnOptions, unknown, ESLintUtils.RuleListener>;
export default enforceColumnTypes;
