import { ESLintUtils } from '@typescript-eslint/utils';
type EnforceRelationMessages = 'typescript_typeorm_relation_missing' | 'typescript_typeorm_relation_mismatch' | 'typescript_typeorm_relation_array_to_many' | 'typescript_typeorm_relation_suggestion' | 'typescript_typeorm_relation_nullable_by_default' | 'typescript_typeorm_relation_nullable_by_default_suggestion' | 'typescript_typeorm_relation_specify_relation_always';
type EnforceRelationOptions = [
    {
        specifyRelation?: 'always';
    }
];
declare const enforceRelationTypes: ESLintUtils.RuleModule<EnforceRelationMessages, EnforceRelationOptions, unknown, ESLintUtils.RuleListener>;
export default enforceRelationTypes;
